import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { PermissionObject, PermissionString } from "../../type/permissionTypes";
import { api } from "./api";

@Entity()
export class apiPermission {
  @PrimaryColumn({ type: "int" })
  apiId: number;

  @PrimaryColumn({ type: "varchar", length: 255 })
  permission: PermissionString;

  @ManyToOne(() => api, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  api: api;
}
